/* vim: set ai et ts=4 sw=4: */

#ifndef __file_column_view_h__
#define __file_column_view_h__

#include "file-list-view.h"

#define TYPE_FILE_COLUMN_VIEW         (file_column_view_get_type())
#define FILE_COLUMN_VIEW(obj)         GTK_CHECK_CAST(obj, file_column_view_get_type(), FileColumnView)
#define FILE_COLUMN_VIEW_CLASS(klass) GTK_CHECK_CLASS_CAST(klass, file_column_view_get_type(), FileColumnViewClass)
#define IS_FILE_COLUMN_VIEW(obj)      GTK_CHECK_TYPE(obj, file_column_view_get_type())

typedef struct _FileColumnView {
    FileListView parent;

    GtkWidget* viewport;
    GtkWidget* hbox;
    GList* columns;

    gint show_hidden_files : 1;
} FileColumnView;

typedef struct _FileColumnViewClass {
    FileListViewClass parent_class;
} FileColumnViewClass;

GtkType file_column_view_get_type(void);

GtkWidget* file_column_view_new(void); 

void file_column_view_refresh(FileColumnView* view);

#endif /*file-column-view.h*/
