/* vim: set ai et ts=4 sw=4: */

#ifndef __file_ladder_view_h__
#define __file_ladder_view_h__

#include "file-list-view.h"

#define FILE_LADDER_VIEW(obj)         GTK_CHECK_CAST(obj, file_ladder_view_get_type(), FileLadderView)
#define FILE_LADDER_VIEW_CLASS(klass) GTK_CHECK_CLASS_CAST(klass, file_ladder_view_get_type(), FileLadderViewClass)
#define IS_FILE_LADDER_VIEW(obj)      GTK_CHECK_TYPE(obj, file_ladder_view_get_type())

typedef struct _FileLadderView {
    FileListView parent;

    GtkWidget* sw;
    GtkWidget* vp;
    GtkWidget* hb;

    GList* ladders;
} FileLadderView;

typedef struct _FileLadderViewClass {
    FileListViewClass parent_class;
} FileLadderViewClass;

GtkType file_ladder_view_get_type(void);

GtkWidget* file_ladder_view_new(void); 

void file_ladder_view_refresh(FileLadderView* view);

#endif /*file-ladder-view.h*/
