
#ifndef __FILE_LIST_VIEW_H__
#define __FILE_LIST_VIEW_H__

/**
 * abstract widget for
 * FileIconView, FileTreeView, FileColumnView and so on.
 */

#define TYPE_FILE_LIST_VIEW           (file_list_view_get_type())
#define FILE_LIST_VIEW(obj)           GTK_CHECK_CAST(obj, TYPE_FILE_LIST_VIEW, FileListView)
#define FILE_LIST_VIEW_CLASS(klass)   GTK_CHECK_CLASS_CAST(klass, TYPE_FILE_LIST_VIEW, FileListViewClass)
#define IS_FILE_LIST_VIEW(obj)        GTK_CHECK_TYPE(obj, TYPE_FILE_LIST_VIEW)
#define FILE_LIST_VIEW_GET_CLASS(obj) GTK_CHECK_GET_CLASS((obj), TYPE_FILE_LIST_VIEW, FileListViewClass)

typedef struct _FileListView        FileListView;
typedef struct _FileListViewClass   FileListViewClass;

struct _FileListView {
    GtkVBox parent;

    gboolean show_hidden_files : 1;
    gboolean show_dir_only : 1;
    gboolean select_multiple : 1;

    // add custom properties here
};

struct _FileListViewClass {
    GtkVBoxClass parent_class;

    gchar* (* get_current_dir) (FileListView* view);
    void   (* set_current_dir) (FileListView* view, const gchar* path);
};

GtkType file_list_view_get_type(void); 

GtkWidget* file_list_view_new(void);

gchar* file_list_view_get_current_dir (FileListView* view);
void   file_list_view_set_current_dir (FileListView* view, const gchar* path);

void file_list_view_set_show_hidden_files(FileListView* view, gboolean show_hidden_files);
void file_list_view_set_show_dir_only(FileListView* view, gboolean show_dir_only);
void file_list_view_set_select_multiple(FileListView* view, gboolean select_multiple);

#endif /* __FILE_LIST_VIEW_H__ */
/* vim: set ai et ts=4 sw=4: */
