/* vim: set ai et ts=4 sw=4: */

#ifndef __file_tree_view_h__
#define __file_tree_view_h__

#include "file-list-view.h"

#define FILE_TREE_VIEW(obj)         GTK_CHECK_CAST(obj, file_tree_view_get_type(), FileTreeView)
#define FILE_TREE_VIEW_CLASS(klass) GTK_CHECK_CLASS_CAST(klass, file_tree_view_get_type(), FileTreeViewClass)
#define IS_FILE_TREE_VIEW(obj)      GTK_CHECK_TYPE(obj, file_tree_view_get_type())

typedef struct _FileTreeView {
    FileListView parent;

    GtkWidget* sw;
    GtkWidget* tv;
	GtkTreeModel* model;
} FileTreeView;

typedef struct _FileTreeViewClass {
    FileListViewClass parent_class;
} FileTreeViewClass;

GtkType file_tree_view_get_type(void);

GtkWidget* file_tree_view_new(void);

void file_tree_view_refresh(FileTreeView* view);

#endif /*file-tree-view.h*/
