/* vim: set ai et ts=4 sw=4: */
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gnome.h>

#include "file-chooser.h"

/*-----------------------------------------------------------------*/

int main(int argc, char *argv[])
{
    FileChooser* fs;
	gchar* cur_dir;
	gchar** files;
    gint response;

#ifdef ENABLE_NLS
    bindtextdomain(GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
    bind_textdomain_codeset(GETTEXT_PACKAGE, "UTF-8");
    textdomain(GETTEXT_PACKAGE);
#endif

    gnome_program_init(PACKAGE, VERSION, LIBGNOMEUI_MODULE,
		       argc, argv,
		       GNOME_PARAM_APP_DATADIR, PACKAGE_DATA_DIR, NULL);

    fs = FILE_CHOOSER(file_chooser_new());

    gtk_window_set_title(GTK_WINDOW(fs), _("Add Files"));
    file_chooser_set_flags(fs, FILE_CHOOSER_MULTIPLE_FILE);

    cur_dir = g_get_current_dir();//last used work dir
    file_chooser_set_cur_dir(fs, cur_dir);
    g_free(cur_dir);

    response = gtk_dialog_run(GTK_DIALOG(fs));

    if(response == GTK_RESPONSE_OK) {
        files = file_chooser_get_files(fs);

        while(files && *files) {
            g_print("%s\n", *files);
            files++;
        }
    }
    
	return 0;
}

/*main.c*/
