/* vim: set ai et ts=4 sw=4: */

#ifndef __util_h__
#define __util_h__

#include <gnome.h>
#include <libgnomevfs/gnome-vfs.h>

gchar* find_pixmap_file(const gchar* filename);
GtkWidget* create_pixmap(const gchar* filename);
GtkWidget* create_pixmap_with_size(const gchar* filename, gint width, gint height);
GdkPixbuf* create_pixbuf(const gchar* filename);
GdkPixbuf* create_pixbuf_with_size(const gchar* filename, gint width, gint height);

gboolean str_has_suffix(const gchar* str, const gchar* suffix, gboolean case_sensitive);
#define str_has_suffix_case(str, suffix)        str_has_suffix((str), (suffix), TRUE)
#define str_has_suffix_nocase(str, suffix)      str_has_suffix((str), (suffix), FALSE)

gint strfindv(const gchar* str, const gchar** str_array, gboolean case_sensitive);
#define strfindv_case(str, str_array)           strfindv((str), (str_array), TRUE)
#define strfindv_nocase(str, str_array)         strfindv((str), (str_array), FALSE)

gchar* filename_to_utf8(const gchar* str);
gchar* utf8_to_filename(const gchar* str);
gchar* locale_to_utf8(const gchar* str);
gchar* utf8_to_locale(const gchar* str);

gchar* uri_to_filename(const GnomeVFSURI* uri);

gint show_message_box(GtkWindow* parent, GtkMessageType type, GtkButtonsType buttons, const gchar* message);

#define NVL(str)        ((str) ? (str) : "")
#define NVL2(str,def)   ((str) ? (str) : (def))

#endif /*util.h*/
